upgrade from 1.9.8 to 1.9.9 didn't go well

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • my36
    started a topic upgrade from 1.9.8 to 1.9.9 didn't go well

    upgrade from 1.9.8 to 1.9.9 didn't go well

    My server logs started spewing LOTS of new error msgs like:

    8223:20120209:101759.635 Escalation cancelled: Event [0] deleted.

    18031:20120209:100634.790 [Z3005] query failed: [1054] Unknown column 'mt.status' in 'field list' [select m.mediatypeid,m.sendto,m.severity,m.period,mt.stat us from media m,media_type mt where m.mediatypeid=mt.mediatypeid and m.active=0 and m.userid=3]

    Email notifications also stopped. I had to roll back to 1.9.8.

    Did the DB schema change?

  • richlv
    replied
    db schema changes almost constantly in the development builds. there are no official patches to keep up with that.
    some unofficial ones for mysql can be found here :

    https://zabbix.org/wiki/How_to/trunk_db_patches
    http://www.zabbix.org/svn/zabbixorg/...emental/README

    Leave a comment:


  • my36
    replied
    Thanks for the info.

    I think I had better just stay with 1.9.8 until 2.0 is released.

    The real problem is that I can't seem to export templates. That's going to make
    the move to 2.0 very painful. Maybe I'll have to do as you did and try to migrate
    at the table level.

    You are correct - living with Beta's has it's downside but the new discovery and JMX
    stuff is so important to us, I took my chances.

    Cheers,
    Lawrence

    Leave a comment:


  • jesmit
    replied
    I'm not a dev, but I will answer. Yes it did, quite a bit. I managed to get everything migrated manually as best I can tell and I'm stable for over a week now. I don't exactly have a procedure for a migration. mysqldump + a schema diff + lots of manually dumping the data back in to get my templates back.

    A well known hazard of living off the beta.. :-)

    Leave a comment:

Announcement

Collapse
No announcement yet.
Working...
X